# Class CIM_BlockStatisticsCapabilities
extends CIM_StatisticsCapabilities

A specialization of the StatisticsCapabilities class that describes the capabilities of a BlockStatisticsService, which provides statistical data for instances of BlockStatisticalData.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_Capabilities
|
+--CIM_StatisticsCapabilities
|
+--CIM_BlockStatisticsCapabilities

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A specialization of the StatisticsCapabilities class that describes the capabilities of a BlockStatisticsService, which provides statistical data for instances of BlockStatisticalData.
UMLPackagePath | string | CIM::Device::StorageStatistics
Version | string | 2.39.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
ClockTickInterval | uint64 |
Description | string | An internal clocking interval for all timers in the subsystem, measured in microseconds (Unit of measure in the timers, measured in microseconds). Time counters are monotanically increasing counters that contain 'ticks'. Each tick represents one ClockTickInterval. If ClockTickInterval contained a value of 32 then each time counter tick would represent 32 microseconds.
PUnit | string | second * 10^-6
Units | string | MicroSeconds
AsynchronousMethodsSupported | uint16[] |
Description | string | The asychronous mechanisms supported for retrieving statistics.
Override | string | AsynchronousMethodsSupported
ValueMap | string | 2, 3, 8, .., 0x8000..
Values | string | GetStatisticsCollection, Indications, GetRateStatisticsCollection, DMTF Reserved, Vendor Specific
ElementTypesSupported | uint16[] |
Description | string | The list of element types for which statistical data is available. The values of this array correspond to the values defined for the ElementType property of the BlockStatisticalData class.
Override | string | ElementTypesSupported
Required | boolean | true
ValueMap | string | 0, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, .., 0x8000..
Values | string | Unknown, Computer System, Front-end Computer System, Peer Computer System, Back-end Computer System, Front-end Port, Back-end Port, Volume, Extent, Disk Drive, Arbitrary LUs, Remote Replica Group, DMTF Reserved, Vendor Specific
SynchronousMethodsSupported | uint16[] |
Description | string | The synchronous mechanisms supported for retrieving statistics and defining and modifying filters for statistics retrieval.
Override | string | SynchronousMethodsSupported
ValueMap | string | 2, 3, 4, 5, 6, 7, 8, .., 0x8000..
Values | string | Execute Query, Query Collection, GetStatisticsCollection, Manifest Creation, Manifest Modification, Manifest Removal, GetRateStatisticsCollection, DMTF Reserved, Vendor Specific

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
Description | string | CIM_ManagedElement
ElementName | string | CIM_Capabilities
InstanceID | string | CIM_Capabilities

## Class Methods